<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\User;
use App\Rules\Pesel;

/* 'phoneNumber' => 'required|regex:/^([0-9\s\-\+\(\)]*)$/|min:9' */
class RegistrationController extends Controller
{
    public function create()
    {
        return view('register');
    }

    public function store()
    {
        $this->validate(request(), [

            'name' => 'required|alpha|min:3|max:45',
            'surname' => 'required|alpha|min:3|max:45',
            'PESEL' => new Pesel,
            'phoneNumber' => 'required|digits:9',
            'email' => 'required|email|unique:users',
            'password' => 'required|confirmed|min:6',
        ],
        [
            'required' => ':attribute jest wymagany(e).',
            'min' => ':attribute musi mieć przynajmniej :min znaki.',
            'max' => ':attribute musi mieć nie więcej niż :max znaków.',
            'alpha' => ':attribute może zawierać tylko litery.',
            'alpha_num' => ':attribute może zawierać tylko litery i cyfry.',
            'digits' => ':attribute musi składać się z :digits cyfr.',
            'unique' =>':attribute jest już zajęty.',
            'confirmed' =>':attribute się nie zgadza.',
            'email' => 'Niepoprawny adres e-mail.'
        ]);


        $request = request();
        $user = User::create([
            'password' => $request-> password,
            'email' => $request-> email,
            'name' => $request-> name,
            'surname' => $request-> surname,
            'PESEL' => $request-> PESEL,
            'phoneNumber' => $request-> phoneNumber,
            'functionID' => 1,
            'degreeID' => 1,
            'number' => 'ABC123'
        ]);


        auth()->login($user);

        return redirect()->to('/jednostka');
    }
}

