<?php

namespace App\Http\Controllers;


use Illuminate\Http\Request;
use App\fireStation;


class fireStationController extends Controller
{
    public function create(){
        if(auth()->user() != null && auth()->user()->fireStationID != null ){
                $fireStation = fireStation::find(auth()->user()->fireStationID);
                return view('unit', ["fireStation" => $fireStation]);
        } else{
            return view('unit');
        }
    }
    public function store()
    {
        $this->validate(request(),[
            'name' => 'required|min:3|max:45',
            'number' => 'required|numeric',
            'postOffice' => 'required|min:3|max:45',
            'zipCode' => 'required|digits:5',
            'address' => 'required|min:3|max:45',
            'KRS' => 'required|digits:10',
            'NIP' => 'required|digits:10',
            'phoneNumber' => 'required|numeric|min:9|max:11',
            'email' => 'required|email|unique:firestations',


        ]);


        $request = request();
        $jednostka  = fireStation::create([
            'name' => $request -> name,
            'number' => $request -> number,
            'voivodeship' => $request -> voivodeship,
            'county' => $request -> county,
            'community' => $request -> community,
            'postOffice' => $request -> postOffice,
            'zipCode' => $request -> zipCode,
            'address' => $request -> address,
            'latitude' => $request -> latitude,
            'longitude' => $request -> longitude,
            'KRS' => $request -> KRS,
            'NIP' => $request -> NIP,
            'phoneNumber' => $request -> phoneNumber,
            'email' => $request -> email,
            'creatorID' =>  auth()->user()->id,
            'changingID' =>  auth()->user()->id
        ]);

        $user = auth()->user();
        $user->fireStationID =  $jednostka->id;
        $user->save();

        return redirect()->to('/jednostka');
    }
}
